#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87586ebb, "drm_open" },
	{ 0xce6ce549, "drm_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x99116f68, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xf2de764, "drm_crtc_cleanup" },
	{ 0x821e65ab, "drm_plane_cleanup" },
	{ 0xa1b38782, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x7c934f63, "drm_property_blob_put" },
	{ 0xd2ac59e1, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x31a9ff50, "drm_property_blob_get" },
	{ 0xda6b00f4, "drm_atomic_helper_plane_reset" },
	{ 0x37a0cba, "kfree" },
	{ 0xa47fb26f, "drm_universal_plane_init" },
	{ 0x657d6987, "drm_object_attach_property" },
	{ 0x6a42c8d2, "drm_plane_create_rotation_property" },
	{ 0x912c0328, "drm_plane_create_alpha_property" },
	{ 0x46ff2c23, "drm_plane_create_blend_mode_property" },
	{ 0xedf71a68, "drm_property_replace_blob" },
	{ 0x4007b66b, "drm_property_lookup_blob" },
	{ 0x50c47c9c, "drm_atomic_helper_crtc_reset" },
	{ 0xc19e91d, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xd5b481d0, "drm_crtc_init_with_planes" },
	{ 0xe80f8614, "drm_crtc_enable_color_mgmt" },
	{ 0xa7f767f6, "drm_mode_crtc_set_gamma_size" },
	{ 0x5c52ee28, "drm_atomic_helper_set_config" },
	{ 0xcdc92b97, "drm_atomic_helper_page_flip" },
	{ 0x1c9664ac, "drm_atomic_helper_update_plane" },
	{ 0x366ea1b7, "drm_atomic_helper_disable_plane" },
	{ 0x11dc1945, "drm_encoder_cleanup" },
	{ 0xb59c7956, "drm_encoder_init" },
	{ 0xf8daf1db, "drm_connector_attach_encoder" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1dd3dd2, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x996cd01d, "drm_connector_update_edid_property" },
	{ 0x9e4ec297, "drm_mode_create" },
	{ 0x81873d3a, "drm_mode_probed_add" },
	{ 0x5a64a637, "drm_connector_unregister" },
	{ 0xe31c07f1, "drm_connector_cleanup" },
	{ 0x754d539c, "strlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7f05241d, "drm_connector_init" },
	{ 0xea320779, "drm_mode_create_dp_colorspace_property" },
	{ 0x5586c44d, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x5e879c7d, "drm_connector_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x92f61026, "drm_mode_create_hdmi_colorspace_property" },
	{ 0xb70002be, "drm_connector_attach_colorspace_property" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xb6b3eef, "drm_edid_override_connector_update" },
	{ 0xa6845d63, "drm_connector_attach_vrr_capable_property" },
	{ 0x149caad2, "drm_connector_set_vrr_capable_property" },
	{ 0xc2934536, "drm_object_property_set_value" },
	{ 0x9810fa1c, "drm_atomic_helper_connector_reset" },
	{ 0xe1666cf6, "drm_helper_probe_single_connector_modes" },
	{ 0xd72c0287, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x23797f88, "drm_atomic_helper_connector_destroy_state" },
	{ 0x37160b00, "drm_gem_object_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x877765aa, "drm_gem_private_object_init" },
	{ 0xc55a0661, "drm_gem_prime_import" },
	{ 0xa5304353, "drm_gem_object_lookup" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7910e38, "drm_vma_offset_lookup_locked" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x24cf437a, "drm_vma_node_is_allowed" },
	{ 0xe23c651e, "drm_gem_vm_open" },
	{ 0xd4866ee, "drm_gem_vm_close" },
	{ 0x1c9f0332, "drm_gem_prime_export" },
	{ 0x5830e937, "drm_gem_handle_create" },
	{ 0x52874f9c, "drm_framebuffer_cleanup" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x5702390f, "drm_helper_mode_fill_fb_struct" },
	{ 0x2df681f9, "drm_framebuffer_init" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5efa3af5, "drm_crtc_send_vblank_event" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x448e6dc3, "drm_atomic_state_init" },
	{ 0x2362444, "drm_atomic_state_default_clear" },
	{ 0xe13ab931, "drm_atomic_state_default_release" },
	{ 0x35214212, "drm_atomic_add_affected_planes" },
	{ 0x45d8b9ee, "drm_atomic_helper_check" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x11ba326d, "drm_atomic_helper_swap_state" },
	{ 0x197d5b60, "dma_fence_default_wait" },
	{ 0xef69ccd3, "ww_mutex_lock" },
	{ 0x8b21da49, "dma_resv_reserve_fences" },
	{ 0xbe7727c, "dma_resv_add_fence" },
	{ 0x807b7220, "ww_mutex_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x88c9da13, "drm_atomic_add_affected_connectors" },
	{ 0x3bab7d25, "drm_atomic_get_plane_state" },
	{ 0xb4456003, "drm_atomic_set_crtc_for_plane" },
	{ 0x97f2c3b3, "drm_atomic_set_fb_for_plane" },
	{ 0x7339c65, "const_pcpu_hot" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x80cee827, "pcpu_hot" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf2a6966, "up" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8c0384be, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3feeb8a7, "vmalloc_to_page" },
	{ 0xb794fb82, "kthread_stop" },
	{ 0x2efde591, "wake_up_process" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x8f779d69, "drm_gem_create_mmap_offset" },
	{ 0x23eea32e, "vmf_insert_pfn" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x24800d7e, "drm_gem_mmap_obj" },
	{ 0xb3d4c48, "drm_prime_pages_to_sg" },
	{ 0xedc03953, "iounmap" },
	{ 0x63ffc75e, "vm_insert_page" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x9a70f25e, "drm_prime_gem_destroy" },
	{ 0x2d4b5935, "fput" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0xdd9cac7e, "pin_user_pages" },
	{ 0x53b954a2, "up_read" },
	{ 0x20c41d7b, "unpin_user_page" },
	{ 0xc8d7d67f, "set_page_dirty_lock" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xef738ff6, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x37baca0e, "sync_file_create" },
	{ 0x321e522b, "fd_install" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xffe9e3da, "param_ops_bool" },
	{ 0x19e7f00b, "nvKmsKapiGetFunctionsTable" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x39187a46, "drm_connector_list_iter_begin" },
	{ 0xfb56ede9, "drm_connector_list_iter_next" },
	{ 0x9283decc, "drm_connector_list_iter_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x13ba898d, "drm_atomic_helper_shutdown" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbc2a9813, "drm_kms_helper_poll_fini" },
	{ 0x7d8399b4, "drm_mode_config_cleanup" },
	{ 0x347b5ece, "drm_kms_helper_hotplug_event" },
	{ 0x98b0940e, "drmm_mode_config_init" },
	{ 0x6452e130, "drm_mode_create_dvi_i_properties" },
	{ 0x7b3b24d6, "drm_kms_helper_poll_init" },
	{ 0xa2986db4, "drm_kms_helper_poll_disable" },
	{ 0x52f2ac5e, "drm_property_create_enum" },
	{ 0x992e72cd, "drm_property_create_range" },
	{ 0x16673319, "drm_property_create" },
	{ 0x5ae56f2e, "drm_helper_hpd_irq_event" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5c7eeda2, "drm_mode_object_find" },
	{ 0x1e0a6ba3, "drm_mode_object_put" },
	{ 0xc6d9e9bd, "drm_modeset_acquire_init" },
	{ 0xc2686080, "drm_modeset_lock_all_ctx" },
	{ 0x82698ed6, "drm_modeset_drop_locks" },
	{ 0xf0af4130, "drm_modeset_acquire_fini" },
	{ 0x2359bec6, "drm_modeset_backoff" },
	{ 0x4688a55, "drm_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaabfc1a9, "drm_file_get_master" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x94c5b808, "drm_master_put" },
	{ 0x69d420c0, "drm_atomic_state_alloc" },
	{ 0x213c097c, "drm_atomic_get_crtc_state" },
	{ 0x3daedb50, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xba096327, "drm_atomic_get_connector_state" },
	{ 0xfb052bb, "drm_atomic_set_crtc_for_connector" },
	{ 0xd0430f88, "drm_atomic_commit" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe2cda055, "drm_modeset_lock_all" },
	{ 0x6f06c281, "drm_modeset_unlock_all" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x846a9c01, "drm_dev_alloc" },
	{ 0x70770bac, "drm_dev_register" },
	{ 0xceb755fd, "pci_bus_type" },
	{ 0xb4633192, "drm_fbdev_generic_setup" },
	{ 0xed432975, "drm_dev_put" },
	{ 0xafc68359, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x75e1d8e4, "drm_dev_unregister" },
	{ 0xc550c932, "drm_fb_helper_set_suspend_unlocked" },
	{ 0x7c3feeed, "drm_mode_config_reset" },
	{ 0x941993, "drm_kms_helper_poll_enable" },
	{ 0xe6454087, "drm_gem_prime_handle_to_fd" },
	{ 0xd290808e, "drm_gem_prime_fd_to_handle" },
	{ 0x6dfddbc8, "noop_llseek" },
	{ 0x9fd210c8, "drm_read" },
	{ 0xfd12c478, "drm_poll" },
	{ 0x4c914866, "drm_compat_ioctl" },
	{ 0xbfa93c6, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,nvidia-modeset");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "298F6DD44CA27F076AC1654");
